commit d5994c61eaefa9a373e13cdb1b5bbd82b5d10ace
Author: Andreas Kohlbecker <a.kohlbecker@bgbm.org>
Date:   Fri Jun 2 11:21:24 2017 +0200

    ref #6169 first attempt to impement prester tests - not working yet

diff --git a/pom.xml b/pom.xml
index 308ee951..41002ac6 100755
--- a/pom.xml
+++ b/pom.xml
@@ -460,6 +460,14 @@
        <artifactId>viritin</artifactId>
        <version>1.61</version>
     </dependency>
+    <!-- 
+    <dependency>
+        <groupId>org.vaadin.spring.extensions</groupId>
+        <artifactId>vaadin-spring-ext-test</artifactId>
+        <version>0.0.8-SNAPSHOT</version>
+        <scope>test</scope>
+    </dependency>
+     -->
     <!--     <dependency>
         only in the edit repo
       <groupId>org.vaadin.addons</groupId>
diff --git a/src/test/java/eu/etaxonomy/vaadin/mvp/CdmEditorPresenterTest.java b/src/test/java/eu/etaxonomy/vaadin/mvp/CdmEditorPresenterTest.java
new file mode 100644
index 00000000..dfcad7b4
--- /dev/null
+++ b/src/test/java/eu/etaxonomy/vaadin/mvp/CdmEditorPresenterTest.java
@@ -0,0 +1,81 @@
+/**
+* Copyright (C) 2017 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.vaadin.mvp;
+
+import org.apache.log4j.Logger;
+import org.springframework.context.ApplicationEventPublisher;
+import org.unitils.dbunit.annotation.DataSet;
+import org.unitils.spring.annotation.SpringBean;
+import org.unitils.spring.annotation.SpringBeanByType;
+
+import com.vaadin.ui.ListSelect;
+
+import eu.etaxonomy.cdm.api.application.CdmRepository;
+import eu.etaxonomy.cdm.model.reference.Reference;
+import eu.etaxonomy.cdm.vaadin.view.reference.ReferenceEditorPresenter;
+import eu.etaxonomy.cdm.vaadin.view.reference.ReferencePopupEditorView;
+import eu.etaxonomy.vaadin.component.ToOneRelatedEntityCombobox;
+import eu.etaxonomy.vaadin.ui.view.PopupEditorFactory;
+
+/**
+ * @author a.kohlbecker
+ * @since Jun 2, 2017
+ *
+ */
+// @RunWith(SpringJUnit4ClassRunner.class)
+// @ContextConfiguration(classes = { CdmVaadinTestConfiguration.class })
+// @VaadinAppConfiguration
+public class CdmEditorPresenterTest {
+
+    private static final Logger logger = Logger.getLogger(CdmEditorPresenterTest.class);
+
+    @SpringBeanByType
+    protected ApplicationEventPublisher eventBus;
+
+    @SpringBean("cdmRepository")
+    private CdmRepository repo;
+
+    @SpringBeanByType
+    protected PopupEditorFactory factory;
+
+    @DataSet
+    // @Test test setup not jet working :(
+    public void testSaveReference() throws IllegalAccessException {
+
+        ReferenceEditorPresenter referencePresenter = new ReferenceEditorPresenter();
+        factory.injectPresenterBeans(ReferenceEditorPresenter.class, referencePresenter);
+
+        TestReferenceEditorView testView = new TestReferenceEditorView();
+        referencePresenter.init(testView);
+
+    }
+
+    class TestReferenceEditorView implements ReferencePopupEditorView {
+
+        /**
+         * {@inheritDoc}
+         */
+        @Override
+        public ListSelect getTypeSelect() {
+            return null;
+        }
+
+        /**
+         * {@inheritDoc}
+         */
+        @Override
+        public ToOneRelatedEntityCombobox<Reference> getInReferenceCombobox() {
+            return null;
+        }
+
+
+
+    }
+
+}
diff --git a/src/test/resources/eu/etaxonomy/vaadin/mvp/CdmEditorPresenterTest.xml b/src/test/resources/eu/etaxonomy/vaadin/mvp/CdmEditorPresenterTest.xml
new file mode 100644
index 00000000..a8918b50
--- /dev/null
+++ b/src/test/resources/eu/etaxonomy/vaadin/mvp/CdmEditorPresenterTest.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+    
+<dataset>
+  <REFERENCE ID="1" CREATED="2008-12-10 09:56:07.0" UUID="596b1325-be50-4b0a-9aa2-3ecd610215f2" UPDATED="2008-12-10 09:56:07.253" REFTYPE="BK" TITLECACHE="Proceedings of Testing Vol. 1"   PROTECTEDTITLECACHE="true" PROTECTEDABBREVTITLECACHE="false" ABBREVTITLECACHE="Sp. Pl." ABBREVTITLE="Sp. Pl." NOMENCLATURALLYRELEVANT="false" PARSINGPROBLEM="0" PROBLEMENDS="-1" PROBLEMSTARTS="-1" INREFERENCE_ID="4" />
+ </dataset>