commit 6469b938f726d3df92b658bbb4676930f251de35
Author: Andreas Kohlbecker <a.kohlbecker@bgbm.org>
Date:   Thu Mar 2 08:02:35 2017 +0100

    ref #6169 responsive dashboard

diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/design/phycobank/DashBoardDesign.java b/src/main/java/eu/etaxonomy/cdm/vaadin/design/phycobank/DashBoardDesign.java
new file mode 100644
index 00000000..f99694b8
--- /dev/null
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/design/phycobank/DashBoardDesign.java
@@ -0,0 +1,30 @@
+package eu.etaxonomy.cdm.vaadin.design.phycobank;
+
+import com.vaadin.annotations.AutoGenerated;
+import com.vaadin.annotations.DesignRoot;
+import com.vaadin.ui.Button;
+import com.vaadin.ui.CssLayout;
+import com.vaadin.ui.VerticalLayout;
+import com.vaadin.ui.declarative.Design;
+
+/**
+ * !! DO NOT EDIT THIS FILE !!
+ *
+ * This class is generated by Vaadin Designer and will be overwritten.
+ *
+ * Please make a subclass with logic and additional interfaces as needed,
+ * e.g class LoginView extends LoginDesign implements View { }
+ */
+@DesignRoot
+@AutoGenerated
+@SuppressWarnings("serial")
+public class DashBoardDesign extends VerticalLayout {
+    protected CssLayout dashboard;
+    protected Button buttonNew;
+    protected Button buttonConinue;
+    protected Button buttonList;
+
+    public DashBoardDesign() {
+        Design.read(this);
+    }
+}
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/ui/RegistrationUI.java b/src/main/java/eu/etaxonomy/cdm/vaadin/ui/RegistrationUI.java
index 25bff6bc..8aaf1b2e 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/ui/RegistrationUI.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/ui/RegistrationUI.java
@@ -24,6 +24,7 @@ import com.vaadin.ui.Component;
 import com.vaadin.ui.UI;
 import com.vaadin.ui.themes.ValoTheme;
 
+import eu.etaxonomy.cdm.vaadin.view.phycobank.DashBoardView;
 import eu.etaxonomy.cdm.vaadin.view.phycobank.TestView1;
 import eu.etaxonomy.cdm.vaadin.view.phycobank.TestView2;
 import eu.etaxonomy.vaadin.ui.MainMenu;
@@ -78,6 +79,6 @@ public class RegistrationUI extends UI {
         eventBus.publishEvent(new UIInitializedEvent());
 
         //navigate to initial view
-        eventBus.publishEvent(new NavigationEvent(TestView1.NAME));
+        eventBus.publishEvent(new NavigationEvent(DashBoardView.NAME));
     }
 }
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/phycobank/DashBoardView.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/phycobank/DashBoardView.java
new file mode 100644
index 00000000..8a3035a1
--- /dev/null
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/phycobank/DashBoardView.java
@@ -0,0 +1,43 @@
+/**
+* Copyright (C) 2017 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.cdm.vaadin.view.phycobank;
+
+import com.vaadin.navigator.View;
+import com.vaadin.navigator.ViewChangeListener.ViewChangeEvent;
+import com.vaadin.server.Responsive;
+import com.vaadin.spring.annotation.SpringView;
+
+import eu.etaxonomy.cdm.vaadin.design.phycobank.DashBoardDesign;
+
+/**
+ * @author a.kohlbecker
+ * @since Mar 2, 2017
+ *
+ */
+@SpringView(name=DashBoardView.NAME)
+public class DashBoardView extends DashBoardDesign implements View {
+
+    public static final String NAME = "dashboard";
+
+    private static final long serialVersionUID = -6172448806905158782L;
+
+    public DashBoardView() {
+        Responsive.makeResponsive(dashboard);
+    }
+
+    /**
+     * {@inheritDoc}
+     */
+    @Override
+    public void enter(ViewChangeEvent event) {
+        // TODO Auto-generated method stub
+
+    }
+
+}
diff --git a/src/main/resources/eu/etaxonomy/cdm/vaadin/design/phycobank/DashBoardDesign.html b/src/main/resources/eu/etaxonomy/cdm/vaadin/design/phycobank/DashBoardDesign.html
new file mode 100644
index 00000000..d7c054b7
--- /dev/null
+++ b/src/main/resources/eu/etaxonomy/cdm/vaadin/design/phycobank/DashBoardDesign.html
@@ -0,0 +1,44 @@
+<!doctype html>
+<html>
+ <head>
+  <meta charset="UTF-8">
+  <meta name="design-properties" content="{&quot;RULERS_VISIBLE&quot;:true,&quot;GUIDELINES_VISIBLE&quot;:false,&quot;SNAP_TO_OBJECTS&quot;:true,&quot;SNAP_TO_GRID&quot;:true,&quot;SNAPPING_DISTANCE&quot;:10,&quot;JAVA_SOURCES_ROOT&quot;:&quot;src/main/java&quot;,&quot;THEME&quot;:&quot;edit-valo&quot;}">
+  <meta name="vaadin-version" content="7.7.0">
+ </head>
+ <body>
+  <vaadin-vertical-layout>
+   <vaadin-label style-name="logo_giant" size-auto plain-text :center>
+     PhycoBank 
+   </vaadin-label>
+   <vaadin-label size-auto plain-text :center>
+     Algal names and typification registry 
+   </vaadin-label>
+   <vaadin-css-layout style-name="dashboard-actions" responsive _id="dashboard" :middle :center>
+    <vaadin-vertical-layout style-name="dashboard-action-3" spacing size-auto margin>
+     <vaadin-button icon="fonticon://FontAwesome/f044" style-name="borderless icon-align-top giant" plain-text _id="buttonNew" :middle :center>
+       New 
+     </vaadin-button>
+     <vaadin-label size-auto plain-text :center>
+       Start a new registration process either for a name or typification. 
+     </vaadin-label>
+    </vaadin-vertical-layout>
+    <vaadin-vertical-layout style-name="dashboard-action-3" spacing size-auto margin>
+     <vaadin-button icon="fonticon://FontAwesome/f061" style-name="borderless icon-align-top giant" plain-text _id="buttonConinue" :middle :center>
+       Continue 
+     </vaadin-button>
+     <vaadin-label size-auto plain-text :center>
+       Continue or review registrations in process. 
+     </vaadin-label>
+    </vaadin-vertical-layout>
+    <vaadin-vertical-layout style-name="dashboard-action-3" spacing size-auto margin>
+     <vaadin-button icon="fonticon://FontAwesome/f0ae" style-name="borderless icon-align-top giant" plain-text _id="buttonList" :middle :center>
+       List 
+     </vaadin-button>
+     <vaadin-label size-auto plain-text :center>
+       List all your registrations either completed or in progress. 
+     </vaadin-label>
+    </vaadin-vertical-layout>
+   </vaadin-css-layout>
+  </vaadin-vertical-layout>
+ </body>
+</html>
\ No newline at end of file
diff --git a/src/main/webapp/VAADIN/themes/edit-valo/edit-valo.scss b/src/main/webapp/VAADIN/themes/edit-valo/edit-valo.scss
index 20756554..792ece76 100644
--- a/src/main/webapp/VAADIN/themes/edit-valo/edit-valo.scss
+++ b/src/main/webapp/VAADIN/themes/edit-valo/edit-valo.scss
@@ -56,19 +56,32 @@ $v-component-group-spacing: 6px;
 
   // Insert your own theme rules here
   
-  // ----- Banner and Logo  ------
-  $banner-height:  60px;
-  
-  .logo {
-    font-weight: bold;
-    font-size: 1.5em;
-    color: #0E9B06;
-    height: $banner-height;
-  }
-  
-  .banner {
-    height: $banner-height;
-  }
-  
+  .logo_giant {
+    font-size: 400%;
+   }
+   
+   .v-button-giant { /* using v-slot-* to select the wrapper for the label */
+     font-size: 32px;
+     .v-icon {
+       font-size: 64px;
+       line-height: 50px;
+     }
+   }
+   
+   .dashboard-actions {
+      margin: 0 10%;
+    
+      .dashboard-action-3 {
+        width: 33%;
+        .v-label {
+            white-space: normal;
+        }
+      }
+      &[width-range~="-650px"] {
+          .dashboard-action-3 {
+              width: 100%;
+          }
+      }
+    }
 
 }