commit 7563a18e461a9ee9fb0c006483a84338c65fd685
Author: Katja Luther <k.luther@bgbm.org>
Date:   Wed Mar 30 10:55:14 2016 +0200

    minor

diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/AbstractIOManager.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/AbstractIOManager.java
index 5b01fc7e0..7de630396 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/AbstractIOManager.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/AbstractIOManager.java
@@ -30,7 +30,7 @@ public abstract class AbstractIOManager<CONFIGURATOR extends IIoConfigurator> {
 	protected ICdmApplicationConfiguration applicationConfiguration;
 
 	public static enum TYPE {
-		Jaxb, Tcs, Excel_Taxa, Endnote, Sdd, Abcd, SpecimenCdmExcel, Excel_Name
+		Jaxb, Tcs, Excel_Taxa, Endnote, Sdd, Abcd, SpecimenCdmExcel, Excel_Name, SpecimenSearch
 	}
 
 	/**
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/ImportManager.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/ImportManager.java
index b89c7d84f..809e19efa 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/ImportManager.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/ImportManager.java
@@ -234,6 +234,21 @@ public class ImportManager extends AbstractIOManager<IImportConfigurator> implem
 
     }
 
+    public void runMoniteredOperation(IImportConfigurator configurator, SOURCE_TYPE type) {
+        byte[] data = new byte[1];
+        try {
+            runMoniteredOperation(configurator, data, type);
+        } catch (Exception e) {
+            MessagingUtils.errorDialog("Error importing input stream",
+                    this,
+                    e.getMessage(),
+                    TaxeditorStorePlugin.PLUGIN_ID,
+                    e,
+                    true);
+        }
+
+    }
+
     public void runMoniteredOperation(IImportConfigurator configurator, File importFile, SOURCE_TYPE type) {
         Path path = Paths.get(importFile.toURI());
         try {
@@ -285,6 +300,8 @@ public class ImportManager extends AbstractIOManager<IImportConfigurator> implem
 			return SDDImportConfigurator.NewInstance(null, null);
 		case SpecimenCdmExcel:
 			return SpecimenCdmExcelImportConfigurator.NewInstance(null, null);
+		case SpecimenSearch:
+		    return Abcd206ImportConfigurator.NewInstance(null, null);
 		default:
 			MessagingUtils.notImplementedMessage(this);
 			throw new IllegalArgumentException("Import not supported yet");
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/wizard/AbcdImportWizard.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/wizard/AbcdImportWizard.java
index 332fd0282..d6f3236ea 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/wizard/AbcdImportWizard.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/wizard/AbcdImportWizard.java
@@ -37,7 +37,7 @@ public class AbcdImportWizard extends AbstractImportWizard<Abcd206ImportConfigur
     private static final Logger logger = Logger.getLogger(AbcdImportWizard.class);
 
 	private Abcd206ImportConfigurator configurator;
-	private ImportFromFileDataSourceWizardPage dataSourcePage;
+	private AbcdSourceSelectionPage dataSourcePage;
 	private ClassificationChooserWizardPage classificationChooserWizardPage;
 
 	/** {@inheritDoc} */
@@ -87,7 +87,9 @@ public class AbcdImportWizard extends AbstractImportWizard<Abcd206ImportConfigur
 		super.addPages();
 
 		classificationChooserWizardPage = ClassificationChooserWizardPage.createPage();
+
 		dataSourcePage = ImportFromFileDataSourceWizardPage.XML();
+
 		addPage(classificationChooserWizardPage);
 		addPage(dataSourcePage);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/wizard/ImportFromFileDataSourceWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/wizard/ImportFromFileDataSourceWizardPage.java
index 925e4ad48..0a48a2a6f 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/wizard/ImportFromFileDataSourceWizardPage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/wizard/ImportFromFileDataSourceWizardPage.java
@@ -13,7 +13,6 @@ package eu.etaxonomy.taxeditor.io.wizard;
 import java.io.File;
 import java.net.URI;
 
-import org.eclipse.jface.wizard.WizardPage;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.events.SelectionAdapter;
 import org.eclipse.swt.events.SelectionEvent;
@@ -33,7 +32,7 @@ import eu.etaxonomy.cdm.common.CdmUtils;
  * @created 04.08.2009
  * @version 1.0
  */
-public class ImportFromFileDataSourceWizardPage extends WizardPage {
+public class ImportFromFileDataSourceWizardPage extends AbcdSourceSelectionPage {
 
 	/** Constant <code>PAGE_NAME="CdmXmlDataSourceWizardPage"</code> */
 	public static final String PAGE_NAME = "CdmXmlDataSourceWizardPage";
@@ -42,7 +41,7 @@ public class ImportFromFileDataSourceWizardPage extends WizardPage {
 
 	private FileDialog fileDialog;
 
-	private Text text_file;
+
 
 	protected ImportFromFileDataSourceWizardPage(String title, String description, String[] extensions) {
 		super(PAGE_NAME);
@@ -76,9 +75,9 @@ public class ImportFromFileDataSourceWizardPage extends WizardPage {
 
 		fileDialog.setFilterExtensions(extensions);
 
-		text_file = new Text(composite, SWT.BORDER);
-		text_file.setEditable(false);
-		text_file.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false));
+		text_source = new Text(composite, SWT.BORDER);
+		text_source.setEditable(false);
+		text_source.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false));
 
 
 		Button button = new Button(composite, SWT.PUSH);
@@ -90,7 +89,7 @@ public class ImportFromFileDataSourceWizardPage extends WizardPage {
 			public void widgetSelected(SelectionEvent e) {
 				String path = fileDialog.open();
 				if(path!=null){
-				    text_file.setText(path);
+				    text_source.setText(path);
 				    setPageComplete(true);
 				}
 			}
@@ -102,16 +101,17 @@ public class ImportFromFileDataSourceWizardPage extends WizardPage {
 	}
 
 	public File getFile() {
-		return new File(text_file.getText());
+		return new File(text_source.getText());
 	}
 
-	public URI getUri() {
+	@Override
+    public URI getUri() {
 		return getFile().toURI();
 	}
 
 	@Override
 	public boolean isPageComplete() {
-		return CdmUtils.isNotBlank(text_file.getText());
+		return CdmUtils.isNotBlank(text_source.getText());
 	}
 
 }
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/DataImportEditor.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/DataImportEditor.java
index 6a7ce39f3..83212c426 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/DataImportEditor.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/DataImportEditor.java
@@ -7,7 +7,7 @@
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
-package eu.etaxonomy.taxeditor.editor.view.dataimport;
+package eu.etaxonomy.taxeditor.view.dataimport;
 
 import java.util.Collection;
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/DataImportEditorInput.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/DataImportEditorInput.java
index 5be66c8bc..04b0f1b87 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/DataImportEditorInput.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/DataImportEditorInput.java
@@ -7,7 +7,7 @@
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
-package eu.etaxonomy.taxeditor.editor.view.dataimport;
+package eu.etaxonomy.taxeditor.view.dataimport;
 
 import java.util.Collection;
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/DataImportView.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/DataImportView.java
index 66e48500c..e7746b639 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/DataImportView.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/DataImportView.java
@@ -7,7 +7,7 @@
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
-package eu.etaxonomy.taxeditor.editor.view.dataimport;
+package eu.etaxonomy.taxeditor.view.dataimport;
 
 import java.util.ArrayList;
 import java.util.Collection;
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/GbifImportEditor.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/GbifImportEditor.java
index 881f86386..9b84f1d07 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/GbifImportEditor.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/GbifImportEditor.java
@@ -7,7 +7,7 @@
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
-package eu.etaxonomy.taxeditor.editor.view.dataimport;
+package eu.etaxonomy.taxeditor.view.dataimport;
 
 import eu.etaxonomy.cdm.ext.occurrence.gbif.GbifResponse;
 
@@ -18,7 +18,7 @@ import eu.etaxonomy.cdm.ext.occurrence.gbif.GbifResponse;
  */
 public class GbifImportEditor extends DataImportEditor<GbifResponse>{
 
-    public static final String ID = "eu.etaxonomy.taxeditor.editor.view.dataimport.GbifImportEditor";
+    public static final String ID = "eu.etaxonomy.taxeditor.view.dataimport.GbifImportEditor";
 
     /**
      * Required for extension point
@@ -28,7 +28,7 @@ public class GbifImportEditor extends DataImportEditor<GbifResponse>{
     }
 
     /* (non-Javadoc)
-     * @see eu.etaxonomy.taxeditor.editor.view.dataimport.DataImportEditor#getTextForTableItem(java.lang.Object)
+     * @see eu.etaxonomy.taxeditor.view.dataimport.DataImportEditor#getTextForTableItem(java.lang.Object)
      */
     @Override
     protected String getTextForTableItem(GbifResponse item) {
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/GbifImportEditorInput.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/GbifImportEditorInput.java
index 3aaf22c52..99051f8b7 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/GbifImportEditorInput.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/GbifImportEditorInput.java
@@ -7,7 +7,7 @@
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
-package eu.etaxonomy.taxeditor.editor.view.dataimport;
+package eu.etaxonomy.taxeditor.view.dataimport;
 
 import java.io.IOException;
 import java.net.URISyntaxException;
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/GbifResponseImportView.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/GbifResponseImportView.java
index 1e653c253..d6fd33352 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/GbifResponseImportView.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/GbifResponseImportView.java
@@ -7,7 +7,7 @@
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
-package eu.etaxonomy.taxeditor.editor.view.dataimport;
+package eu.etaxonomy.taxeditor.view.dataimport;
 
 import java.io.IOException;
 import java.net.URISyntaxException;
@@ -26,10 +26,10 @@ import eu.etaxonomy.cdm.ext.occurrence.gbif.GbifResponse;
 public class GbifResponseImportView extends DataImportView<GbifResponse> {
 
 
-    public static final String ID = "eu.etaxonomy.taxeditor.editor.view.dataimport.GbifResponseImportView";
+    public static final String ID = "eu.etaxonomy.taxeditor.view.dataimport.GbifResponseImportView";
 
     /* (non-Javadoc)
-     * @see eu.etaxonomy.taxeditor.editor.view.dataimport.DataImportView#getTextForTableItem(java.lang.Object)
+     * @see eu.etaxonomy.taxeditor.view.dataimport.DataImportView#getTextForTableItem(java.lang.Object)
      */
     @Override
     protected String getTextForTableItem(GbifResponse item) {
@@ -42,7 +42,7 @@ public class GbifResponseImportView extends DataImportView<GbifResponse> {
     }
 
     /* (non-Javadoc)
-     * @see eu.etaxonomy.taxeditor.editor.view.dataimport.DataImportView#query()
+     * @see eu.etaxonomy.taxeditor.view.dataimport.DataImportView#query()
      */
     @Override
     public void query() {
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/QueryType.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/QueryType.java
index a2edf5d5a..21a6b5a4e 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/QueryType.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/QueryType.java
@@ -7,7 +7,7 @@
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
-package eu.etaxonomy.taxeditor.editor.view.dataimport;
+package eu.etaxonomy.taxeditor.view.dataimport;
 
 /**
  * Enumeration of possible specimen provider types
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/SaveImportedSpecimenAction.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/SaveImportedSpecimenAction.java
index 79784077c..99791e079 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/SaveImportedSpecimenAction.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/SaveImportedSpecimenAction.java
@@ -1,4 +1,4 @@
-package eu.etaxonomy.taxeditor.editor.view.dataimport;
+package eu.etaxonomy.taxeditor.view.dataimport;
 
 import org.apache.log4j.Logger;
 import org.eclipse.jface.action.Action;
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/SpecimenImportEditor.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/SpecimenImportEditor.java
index 82a847c39..368c6ae84 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/SpecimenImportEditor.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/SpecimenImportEditor.java
@@ -7,7 +7,7 @@
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
-package eu.etaxonomy.taxeditor.editor.view.dataimport;
+package eu.etaxonomy.taxeditor.view.dataimport;
 
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
 
@@ -19,7 +19,7 @@ import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
  */
 public class SpecimenImportEditor extends DataImportEditor<SpecimenOrObservationBase<?>> {
 
-    public static final String ID = "eu.etaxonomy.taxeditor.editor.view.dataimport.SpecimenImportEditor";
+    public static final String ID = "eu.etaxonomy.taxeditor.view.dataimport.SpecimenImportEditor";
 
     /**
      * Required for extension point
@@ -29,7 +29,7 @@ public class SpecimenImportEditor extends DataImportEditor<SpecimenOrObservation
     }
 
     /* (non-Javadoc)
-     * @see eu.etaxonomy.taxeditor.editor.view.dataimport.DataImportEditor#getTextForTableItem(eu.etaxonomy.cdm.model.common.IIdentifiableEntity)
+     * @see eu.etaxonomy.taxeditor.view.dataimport.DataImportEditor#getTextForTableItem(eu.etaxonomy.cdm.model.common.IIdentifiableEntity)
      */
     @Override
     protected String getTextForTableItem(SpecimenOrObservationBase<?> item) {
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/SpecimenProviderSelectionWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/SpecimenProviderSelectionWizardPage.java
index fae847394..d5020d26a 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/SpecimenProviderSelectionWizardPage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/SpecimenProviderSelectionWizardPage.java
@@ -7,7 +7,7 @@
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
-package eu.etaxonomy.taxeditor.editor.view.dataimport;
+package eu.etaxonomy.taxeditor.view.dataimport;
 
 import java.net.MalformedURLException;
 import java.net.URI;
@@ -31,7 +31,7 @@ public class SpecimenProviderSelectionWizardPage extends WizardPage{
     private SpecimenProviderSelectionController specimenProviderSelectionController;
     private URI endPoint;
 
-    protected SpecimenProviderSelectionWizardPage(String pageName) {
+    public SpecimenProviderSelectionWizardPage(String pageName) {
         super(pageName);
         setTitle("Select Specimen Provider");
         setDescription("Select the provider to query for specimens.\nTo query a BioCASE " +
@@ -98,4 +98,6 @@ public class SpecimenProviderSelectionWizardPage extends WizardPage{
     }
 
 
+
+
 }
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/SpecimenSearchWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/SpecimenSearchWizardPage.java
index 61e9c1517..449962f98 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/SpecimenSearchWizardPage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/dataimport/SpecimenSearchWizardPage.java
@@ -7,7 +7,7 @@
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
-package eu.etaxonomy.taxeditor.editor.view.dataimport;
+package eu.etaxonomy.taxeditor.view.dataimport;
 
 import java.util.Calendar;
 