commit 4ddb7672dc887dbb983ad6e66962875cef830f8f
Author: Andreas Müller <a.mueller@bgbm.org>
Date:   Mon Jun 18 10:21:11 2018 +0200

    minor changes in labels

diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/dialog/configurator/deleteConfigurator/DeleteTaxonBaseConfiguratorComposite.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/dialog/configurator/deleteConfigurator/DeleteTaxonBaseConfiguratorComposite.java
index 386d35cfe..6cde0b24a 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/dialog/configurator/deleteConfigurator/DeleteTaxonBaseConfiguratorComposite.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/dialog/configurator/deleteConfigurator/DeleteTaxonBaseConfiguratorComposite.java
@@ -146,14 +146,14 @@ public class DeleteTaxonBaseConfiguratorComposite extends Composite implements S
                                 GridData gd_btnIgnoreHasReplacedSynonym = new GridData(SWT.LEFT, SWT.CENTER, false, false, 1, 1);
                                 gd_btnIgnoreHasReplacedSynonym.horizontalIndent = 10;
                                 btnIgnoreHasReplacedSynonym.setLayoutData(gd_btnIgnoreHasReplacedSynonym);
-                                btnIgnoreHasReplacedSynonym.setText("it has replaced synonym");
+                                btnIgnoreHasReplacedSynonym.setText("it has replaced synonym(s)");
                                 btnIgnoreHasReplacedSynonym.setSelection(true);
 
                         btnIgnoreHasBasionym = new Button(composite, SWT.CHECK);
                         GridData gd_btnIgnoreHasBasionym = new GridData(SWT.LEFT, SWT.CENTER, false, false, 1, 1);
                         gd_btnIgnoreHasBasionym.horizontalIndent = 10;
                         btnIgnoreHasBasionym.setLayoutData(gd_btnIgnoreHasBasionym);
-                        btnIgnoreHasBasionym.setText("it has basionym");
+                        btnIgnoreHasBasionym.setText("it has basionym(s)");
                         btnIgnoreHasBasionym.setSelection(true);
 
                 btnIgnoreIsReplacedSynonymFor = new Button(composite, SWT.CHECK);
@@ -161,13 +161,13 @@ public class DeleteTaxonBaseConfiguratorComposite extends Composite implements S
                 gd_btnIgnoreIsReplacedSynonymFor.horizontalIndent = 10;
                 btnIgnoreIsReplacedSynonymFor.setLayoutData(gd_btnIgnoreIsReplacedSynonymFor);
                 btnIgnoreIsReplacedSynonymFor.setSelection(true);
-                btnIgnoreIsReplacedSynonymFor.setText("it is replaced synonym");
+                btnIgnoreIsReplacedSynonymFor.setText("it is a replaced synonym");
 
         btnIgnoreIsBasionym = new Button(composite, SWT.CHECK);
         GridData gd_btnIgnoreIsBasionym = new GridData(SWT.LEFT, SWT.CENTER, false, false, 1, 1);
         gd_btnIgnoreIsBasionym.horizontalIndent = 10;
         btnIgnoreIsBasionym.setLayoutData(gd_btnIgnoreIsBasionym);
-        btnIgnoreIsBasionym.setText("it is basionym");
+        btnIgnoreIsBasionym.setText("it is a basionym");
         btnIgnoreIsBasionym.setSelection(true);
 
 
@@ -181,33 +181,33 @@ public class DeleteTaxonBaseConfiguratorComposite extends Composite implements S
     protected void initDataBindings() {
         m_bindingContext = new DataBindingContext();
         //
-        IObservableValue observeSelectionBtnDeleteTaxonNameObserveWidget = WidgetProperties.selection().observe(btnDeleteTaxonName);
-        IObservableValue deleteNameIfPossibleConfiguratorObserveValue = PojoProperties.value("deleteNameIfPossible").observe(configurator);
+        IObservableValue<?> observeSelectionBtnDeleteTaxonNameObserveWidget = WidgetProperties.selection().observe(btnDeleteTaxonName);
+        IObservableValue<?> deleteNameIfPossibleConfiguratorObserveValue = PojoProperties.value("deleteNameIfPossible").observe(configurator);
         m_bindingContext.bindValue(observeSelectionBtnDeleteTaxonNameObserveWidget, deleteNameIfPossibleConfiguratorObserveValue, null, null);
 
         NameDeletionConfigurator nameConfig = configurator.getNameDeletionConfig();
-        IObservableValue observeSelectionbtnRemoveAllNameRelationshipsObserveWidget = WidgetProperties.selection().observe(btnRemoveAllNameRelationships);
-        IObservableValue deleteRemoveAllNameRelationshipsConfiguratorObserveValue = PojoProperties.value("removeAllNameRelationships").observe(nameConfig);
+        IObservableValue<?> observeSelectionbtnRemoveAllNameRelationshipsObserveWidget = WidgetProperties.selection().observe(btnRemoveAllNameRelationships);
+        IObservableValue<?> deleteRemoveAllNameRelationshipsConfiguratorObserveValue = PojoProperties.value("removeAllNameRelationships").observe(nameConfig);
         m_bindingContext.bindValue(observeSelectionbtnRemoveAllNameRelationshipsObserveWidget, deleteRemoveAllNameRelationshipsConfiguratorObserveValue, null, null);
 
-        IObservableValue observeSelectionbtnIgnoreIsBasionymObserveWidget = WidgetProperties.selection().observe(btnIgnoreIsBasionym);
-        IObservableValue deleteIgnoreIsBasionymConfiguratorObserveValue = PojoProperties.value("ignoreIsBasionymFor").observe(nameConfig);
+        IObservableValue<?> observeSelectionbtnIgnoreIsBasionymObserveWidget = WidgetProperties.selection().observe(btnIgnoreIsBasionym);
+        IObservableValue<?> deleteIgnoreIsBasionymConfiguratorObserveValue = PojoProperties.value("ignoreIsBasionymFor").observe(nameConfig);
         m_bindingContext.bindValue(observeSelectionbtnIgnoreIsBasionymObserveWidget, deleteIgnoreIsBasionymConfiguratorObserveValue, null, null);
 
-        IObservableValue observeSelectionbtnIgnoreIsReplacedSynonymForObserveWidget = WidgetProperties.selection().observe(btnIgnoreIsReplacedSynonymFor);
-        IObservableValue deleteIgnoreIsReplacedSynonymForConfiguratorObserveValue = PojoProperties.value("ignoreIsReplacedSynonymFor").observe(nameConfig);
+        IObservableValue<?> observeSelectionbtnIgnoreIsReplacedSynonymForObserveWidget = WidgetProperties.selection().observe(btnIgnoreIsReplacedSynonymFor);
+        IObservableValue<?> deleteIgnoreIsReplacedSynonymForConfiguratorObserveValue = PojoProperties.value("ignoreIsReplacedSynonymFor").observe(nameConfig);
         m_bindingContext.bindValue(observeSelectionbtnIgnoreIsReplacedSynonymForObserveWidget, deleteIgnoreIsReplacedSynonymForConfiguratorObserveValue, null, null);
 
-        IObservableValue observeSelectionbtnIgnoreHasBasionymObserveWidget = WidgetProperties.selection().observe(btnIgnoreHasBasionym);
-        IObservableValue deleteIgnoreHasBasionymConfiguratorObserveValue = PojoProperties.value("ignoreHasBasionym").observe(nameConfig);
+        IObservableValue<?> observeSelectionbtnIgnoreHasBasionymObserveWidget = WidgetProperties.selection().observe(btnIgnoreHasBasionym);
+        IObservableValue<?> deleteIgnoreHasBasionymConfiguratorObserveValue = PojoProperties.value("ignoreHasBasionym").observe(nameConfig);
         m_bindingContext.bindValue(observeSelectionbtnIgnoreHasBasionymObserveWidget, deleteIgnoreHasBasionymConfiguratorObserveValue, null, null);
 
-        IObservableValue observeSelectionbtnIgnoreHasReplacedSynonymObserveWidget = WidgetProperties.selection().observe(btnIgnoreHasReplacedSynonym);
-        IObservableValue deleteIgnoreHasReplacedSynonymConfiguratorObserveValue = PojoProperties.value("ignoreHasReplacedSynonym").observe(nameConfig);
+        IObservableValue<?> observeSelectionbtnIgnoreHasReplacedSynonymObserveWidget = WidgetProperties.selection().observe(btnIgnoreHasReplacedSynonym);
+        IObservableValue<?> deleteIgnoreHasReplacedSynonymConfiguratorObserveValue = PojoProperties.value("ignoreHasReplacedSynonym").observe(nameConfig);
         m_bindingContext.bindValue(observeSelectionbtnIgnoreHasReplacedSynonymObserveWidget, deleteIgnoreHasReplacedSynonymConfiguratorObserveValue, null, null);
 
-        IObservableValue observeSelectionbtnRemoveAllTypeDesignationsObserveWidget = WidgetProperties.selection().observe(btnRemoveAllTypeDesignations);
-        IObservableValue deleteRemoveAllTypeDesignationsConfiguratorObserveValue = PojoProperties.value("removeAllTypeDesignations").observe(nameConfig);
+        IObservableValue<?> observeSelectionbtnRemoveAllTypeDesignationsObserveWidget = WidgetProperties.selection().observe(btnRemoveAllTypeDesignations);
+        IObservableValue<?> deleteRemoveAllTypeDesignationsConfiguratorObserveValue = PojoProperties.value("removeAllTypeDesignations").observe(nameConfig);
         m_bindingContext.bindValue(observeSelectionbtnRemoveAllTypeDesignationsObserveWidget, deleteRemoveAllTypeDesignationsConfiguratorObserveValue, null, null);
 
 